### Method

# Gio AppLaunchContext launch_failed

#### Declaration

    void
    g_app_launch_context_launch_failed (
      GAppLaunchContext* context,
      const char* startup_notify_id
    )

#### Description

Called when an application has failed to launch, so that it can cancel the application startup notification started in g_app_launch_context_get_startup_notify_id().

#### Parameters

`startup_notify_id`

  Type: `const char*`

  The startup notification id that was returned by g_app_launch_context_get_startup_notify_id().

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.